Ciele
Flussi

An Assistant's ordered Flow list

GET/api/v1/assistants/{id}/flows

Hai bisogno di una chiave API dell'organizzazione con la capability member.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/assistants/string/flows"
{  "data": [    {      "id": "string",      "assistantId": "string",      "name": "string",      "description": "string",      "builtIn": true,      "isDefault": true,      "enabled": true,      "position": 0,      "trigger": "message",      "triggerSettings": {        "timeOnPage": {          "minutes": 0,          "seconds": 0        },        "httpRequest": {          "methods": [            null          ]        }      },      "conditionLogic": "any",      "conditions": [        {          "id": null,          "kind": null,          "description": null,          "examples": null        }      ],      "actions": [        "improvement"      ],      "actionSettings": {        "search_knowledge": {          "escalatePrompt": null,          "improvementItems": null,          "searchGuidelines": "string",          "answeringStyle": "string",          "overrideAnsweringStyle": null        },        "basic_reply": {          "message": "string"        },        "show_button": {          "label": "string",          "type": null,          "url": "string",          "helpDeskId": "string",          "text": "string",          "faqId": "string",          "faqQuestion": "string",          "showIcon": null,          "icon": null        },        "iframe": {          "url": "string",          "title": "string",          "lightbox": null,          "height": 0,          "heightUnit": null        },        "api_request": {          "endpoint": null,          "swaggerUrl": "string",          "operationId": "string",          "method": null,          "url": "string",          "auth": null,          "headers": [            null          ],          "queryParams": [            null          ],          "bodyTemplate": "string",          "jsonPaths": [            null          ]        },        "send_email": {          "to": "string"        },        "handover": {          "assistantId": "string"        },        "connector": {          "provider": null,          "connectionId": "string",          "action": "string",          "params": {            "property1": null,            "property2": null          },          "successMessage": "string",          "failureMessage": "string"        },        "human_review": {          "title": "string",          "message": "string",          "assignees": [            null          ],          "channel": null,          "senderConnectionId": "string",          "slackTarget": "string",          "inputs": [            null          ],          "timeoutHours": 0,          "haltMessage": "string",          "waitingMessage": "string",          "mode": null        },        "http_webhook": {          "subscribe": {            "method": null,            "url": null,            "bodyTemplate": null,            "auth": null,            "headers": null,            "jsonPaths": null          },          "unsubscribe": {            "method": null,            "url": null,            "bodyTemplate": null,            "auth": null,            "headers": null,            "jsonPaths": null          },          "timeoutMinutes": 0,          "waitingMessage": "string",          "haltMessage": "string",          "jsonPaths": [            null          ]        },        "respond": {          "status": 0,          "headers": [            null          ],          "bodyTemplate": "string"        },        "follow_up_questions": {          "mode": null,          "questions": [            null          ]        },        "notification": {          "title": "string",          "content": "string",          "deliveryRule": null,          "allowReplies": null,          "buttons": [            null          ]        }      },      "customMessage": "string"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}